io.vertx.rxjava3.oracleclient

## Class OracleClient

- java.lang.Object
- - io.vertx.rxjava3.oracleclient.OracleClient

-     public class OracleClient
      extends Object

  An interface to define Oracle specific constants or behaviors.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OracleClient>` | `__TYPE_ARG`
    `static PropertyKind<Row>` | `GENERATED_KEYS` The property to be used to retrieve the generated keys
    `static PropertyKind<Boolean>` | `OUTPUT` The property to be used to retrieve the output of the callable statement

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleClient(io.vertx.oracleclient.OracleClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `io.vertx.oracleclient.OracleClient` | `getDelegate()`
    `int` | `hashCode()`
    `static OracleClient` | `newInstance(io.vertx.oracleclient.OracleClient arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OracleClient> __TYPE_ARG

    - #### GENERATED_KEYS

          public static final PropertyKind<Row> GENERATED_KEYS

      The property to be used to retrieve the generated keys

    - #### OUTPUT

          public static final PropertyKind<Boolean> OUTPUT

      The property to be used to retrieve the output of the callable statement

  - ### Constructor Detail

    - #### OracleClient

          public OracleClient(io.vertx.oracleclient.OracleClient delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public io.vertx.oracleclient.OracleClient getDelegate()

    - #### newInstance

          public static OracleClient newInstance(io.vertx.oracleclient.OracleClient arg)

Copyright © 2024 Eclipse. All rights reserved.